Bug 1077792 - Review Request: copr-cli - Command line interface for COPR
Summary: Review Request: copr-cli - Command line interface for COPR
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-18 15:08 UTC by Miroslav Suchý
Modified: 2014-04-26 20:12 UTC (History)
2 users (show)

Fixed In Version: copr-cli-1.32-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-24 07:39:03 UTC
Type: ---
anto.trande: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2014-03-18 15:08:00 UTC
Spec URL: http://miroslav.suchy.cz/copr/copr-cli.spec
SRPM URL: http://miroslav.suchy.cz/copr/copr-cli-1.29-1.fc20.src.rpm
Description: 
COPR is lightweight build system. It allows you to create new project in WebUI,
and submit new builds and COPR will create yum repository from latests builds.
This package contains command line interface.

Fedora Account System Username: msuchy

Comment 1 Antonio T. (sagitter) 2014-03-18 15:38:39 UTC
Your copr-* packages are already in the Fedora repositories. Why new reviews?

Comment 2 Antonio T. (sagitter) 2014-03-18 15:51:44 UTC
(In reply to Antonio Trande from comment #1)
> Your copr-* packages are already in the Fedora repositories. Why new reviews?

Okay. I've read your mail just now.
Taken for review.

Comment 3 Antonio T. (sagitter) 2014-03-18 17:10:08 UTC
- BR 'make' can be omitted.
- -doc sub-package is independent by main package.
  It must install own License files.
- '/usr/share/doc/copr-cli' directory is not owned
- Please, specify '%{python_sitelib}/' sub-directory owned by this package
  and, above all, the .egg-info file. 

Note: Package building fails in EPEL6.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- All build dependencies are listed in BuildRequires, except for any that are
  listed in the exceptions section of Packaging Guidelines.
  Note: These BR are not needed: make
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 5 files have unknown license. Detailed output of
     licensecheck in /home/sagitter/1077792-copr-cli/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/copr-cli
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 378880 bytes in 33 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[!]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in copr-cli-
     doc
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: copr-cli-1.29-1.fc21.noarch.rpm
          copr-cli-doc-1.29-1.fc21.noarch.rpm
          copr-cli-1.29-1.fc21.src.rpm
copr-cli.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-cli-doc.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-cli.src: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-cli.src: W: invalid-url Source0: copr-cli-1.29.tar.gz
3 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint copr-cli-doc copr-cli
copr-cli-doc.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
copr-cli.noarch: W: spelling-error %description -l en_US latests -> latest, latest's, la tests
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
copr-cli-doc (rpmlib, GLIBC filtered):

copr-cli (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python(abi)
    python-requests
    python-setuptools



Provides
--------
copr-cli-doc:
    copr-cli-doc

copr-cli:
    copr-cli



Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1077792
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Miroslav Suchý 2014-03-19 09:23:02 UTC
> - BR 'make' can be omitted.

fixed

>- -doc sub-package is independent by main package.
>  It must install own License files.

fixed

> - '/usr/share/doc/copr-cli' directory is not owned

???
When using rpm -qpl I see:
...
/usr/share/doc/copr-cli-1.29
/usr/share/doc/copr-cli-1.29/LICENSE
/usr/share/doc/copr-cli-1.29/README.rst
..

> - Please, specify '%{python_sitelib}/' sub-directory owned by this package
>  and, above all, the .egg-info file. 

??
There is:
%files
%{python_sitelib}/*
which include all sub directories including egg-infor directory.

> Note: Package building fails in EPEL6.
I was unable to make it work on el6 due epydoc. Therefore I build -doc only on fedora, which is what did original copr package anyway.

Updated:
Spec URL: http://miroslav.suchy.cz/copr/copr-cli.spec
SRPM URL: http://miroslav.suchy.cz/copr/copr-cli-1.30-1.fc20.src.rpm

Comment 5 Antonio T. (sagitter) 2014-03-19 14:56:52 UTC
(In reply to Miroslav Suchý from comment #4)
> 
> > - Please, specify '%{python_sitelib}/' sub-directory owned by this package
> >  and, above all, the .egg-info file. 
> 
> ??
> There is:
> %files
> %{python_sitelib}/*
> which include all sub directories including egg-infor directory.

Yes, you're right, in fact I wrote "specify"; they are just two files and one directory.

> > - '/usr/share/doc/copr-cli' directory is not owned
> 
> ???
> When using rpm -qpl I see:
> ...
> /usr/share/doc/copr-cli-1.29
> /usr/share/doc/copr-cli-1.29/LICENSE
> /usr/share/doc/copr-cli-1.29/README.rst

Which Fedora release?

Comment 6 Miroslav Suchý 2014-03-19 16:34:58 UTC
> Which Fedora release?

Fedora 20

Comment 7 Antonio T. (sagitter) 2014-03-19 16:44:26 UTC
(In reply to Miroslav Suchý from comment #6)
> > Which Fedora release?
> 
> Fedora 20

I've done two builds, rawhide (%{_pkgdocdir} = /usr/share/doc/copr-cli) and EPEL6 (%{_pkgdocdir} = /usr/share/doc/copr-cli-1.29); that's right.
Anyway this directory must be owned by -doc sub-package (just in Fedora).

Comment 8 Miroslav Suchý 2014-03-20 09:56:39 UTC
I done rawhide build using mock and I see it owned. One problem is that those doc files are in both packages (but that is obviously bug 1078760), but %{_pkgdocdir} is owned.

Comment 9 Antonio T. (sagitter) 2014-03-20 15:07:39 UTC
(In reply to Miroslav Suchý from comment #8)
> I done rawhide build using mock and I see it owned. One problem is that
> those doc files are in both packages (but that is obviously bug 1078760),
> but %{_pkgdocdir} is owned.

%doc (/usr/share/doc/copr-cli in Fedora =>20) macro defines documentation directory in main package.
*-doc sub-package needs /usr/share/doc/copr-cli to locate own directory but it's not dependent by main package*.
See http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

/usr/share/doc/copr-cli can be co-owned by both packages.

Package approved.

Comment 10 Miroslav Suchý 2014-03-21 10:41:16 UTC
New Package SCM Request
=======================
Package Name: copr-cli
Short Description: Command line interface for COPR
Owners: msuchy
Branches: f19 f20 el6 el5 el7
InitialCC:

Comment 11 Gwyn Ciesla 2014-03-21 12:00:37 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2014-04-09 22:50:25 UTC
copr-cli-1.31-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/copr-cli-1.31-1.fc20

Comment 13 Fedora Update System 2014-04-09 22:51:24 UTC
copr-cli-1.31-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/copr-cli-1.31-1.fc19

Comment 14 Fedora Update System 2014-04-09 22:51:36 UTC
copr-cli-1.31-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/copr-cli-1.31-1.el6

Comment 15 Fedora Update System 2014-04-10 19:20:30 UTC
copr-cli-1.32-1.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 16 Fedora Update System 2014-04-24 07:39:03 UTC
copr-cli-1.32-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 17 Fedora Update System 2014-04-24 07:40:27 UTC
copr-cli-1.32-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 18 Fedora Update System 2014-04-26 20:12:05 UTC
copr-cli-1.32-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.